summaryrefslogtreecommitdiff
path: root/ccompile
diff options
context:
space:
mode:
Diffstat (limited to 'ccompile')
-rwxr-xr-xccompile9
1 files changed, 9 insertions, 0 deletions
diff --git a/ccompile b/ccompile
new file mode 100755
index 0000000..f5086ad
--- /dev/null
+++ b/ccompile
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# Wrapper around make, to colorize it's output and pipe through less.
+# Jumps to the first gcc error that occurs during the build process.
+#
+
+SIZE=`/bin/stty size`
+$@ 2>&1 | /usr/bin/colormake.pl $SIZE
+exit $?